Форум русскоязычного сообщества Ubuntu


Получить помощь и пообщаться с другими пользователями Ubuntu можно
на irc канале #ubuntu-ru в сети Freenode
и в Jabber конференции ubuntu@conference.jabber.ru

Автор Тема: Zend 5.5.0 и LAMP  (Прочитано 2461 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн poidet

  • Автор темы
  • Новичок
  • *
  • Сообщений: 5
    • Просмотр профиля
Zend 5.5.0 и LAMP
« : 18 Январь 2007, 15:22:20 »
всем привет, все уже перечитал, все статьи все что можно ...
поставил все нужные пакеты и т.д.
PHPMyAdmin работает мои скрипты тоже работают, есть только пара вопросов
1. где CLI в шеле набираешь php(4)  в отет  - command not found
2. как помирить со всем этим ЛНМПом Зенд, т.к. при отладке скриптов (Internal ) он ругается на отсутсвие поддержки БД и прочего
вроде как у него свой PHP  идет с ним, а как ему подсунуть системный и конфиг само собой...

Оффлайн afon

  • Старожил
  • *
  • Сообщений: 1110
  • Drink Different!
    • Просмотр профиля
Re: Zend 5.5.0 и LAMP
« Ответ #1 : 18 Январь 2007, 17:06:22 »
еще меньше знаков препинанис, убрать нафиг большие буквы, насовать больше недосказанных предложений и тогда уж точно кто нибудь ответит
Drink Different, Understand Computer.
Bye.

Оффлайн poidet

  • Автор темы
  • Новичок
  • *
  • Сообщений: 5
    • Просмотр профиля
Re: Zend 5.5.0 и LAMP
« Ответ #2 : 19 Январь 2007, 10:00:04 »
:-) ok...
настроил все как сдесь (https://help.ubuntu.com/community/ApacheMySQLPHP) все работает
phpmyadmin - работает, мои скрииты (использующие MySQL) тоже работают... все отлично, НО
не работает Zend с БД, отражается это в виде

mysql_connect("localhost", "root", "") or die();
mysql_select_db("test");
$res = mysql_query("SELECT * FROM items");
while ($r = mysql_fetch_array($res))
{
   print_r($r);
}

в Zend нажимаем F10 а в дебаг окне следующее:
X-Powered-By: PHP/4.4.4
Content-type: text/html

<br />
<b>Warning</b>:  mysql_connect() [<a href='function.mysql-connect'>function.mysql-connect</a>]: Can't connect to local MySQL server through socket '/tmp/mysql.sock' (2) in <b>.../PHPDocument4.php</b> on line <b>2</b><br />

значит посмотрел с что Зенд использует свой PHP... (а там значит нет никаких расширений, по крайней мере phpinfo() запущенный из Зенд об стом говорит, да и версия там немного другая, по сравнению с той, которая в системе установлена)

как мне его подключить к уже существующей инсталсции PHP (в системе), существующему конфигу PHP?

пробывал копировать конфиг в зенд директорию там где его PHP'шный конфиг лежит - не помогло... врядли только у меня такие грабли?

Оффлайн afon

  • Старожил
  • *
  • Сообщений: 1110
  • Drink Different!
    • Просмотр профиля
Re: Zend 5.5.0 и LAMP
« Ответ #3 : 19 Январь 2007, 13:27:46 »
Ну вот, сам разобрался :)
На счет Зенда с уже на помню что там и как. Но припоминаю, что при инсталлсции ему надо сказать "апач будем использовать мой" - вот апач, php будем использовать мой - вот тебе php. И ни в коем случае не соглашаться на то что он установит свои, зендовские апач и пхп. Кажется так, но, к сожалению, не все помню :(
Drink Different, Understand Computer.
Bye.

Оффлайн poidet

  • Автор темы
  • Новичок
  • *
  • Сообщений: 5
    • Просмотр профиля
Re: Zend 5.5.0 и LAMP
« Ответ #4 : 20 Январь 2007, 14:57:12 »
так не спрашивал он в том то и дело....

Оффлайн afon

  • Старожил
  • *
  • Сообщений: 1110
  • Drink Different!
    • Просмотр профиля
Re: Zend 5.5.0 и LAMP
« Ответ #5 : 20 Январь 2007, 16:50:26 »
Ну раз не спрашивал, тогда вместо Зенда и Лампа:
1) apache2
2) php5
3) mysql5
4) Eclipse php IDE - http://www.eclipse.org/php/
Drink Different, Understand Computer.
Bye.

 

Страница сгенерирована за 0.053 секунд. Запросов: 24.